1. Приветствуем Вас на нашем закрытом форуме для складчиков сайта cmsheaven.org. Если Вы частный вебмастер, фрилансер, владелец малого или среднего бизнеса, представитель студии по разработке сайтов - будем рады видеть Вас в наших рядах экономных людей.
    Регистрация на форуме возможна только после вступления в складчину

Joomla 3.5 - обсуждения новой версии

Тема в разделе "Обсуждаем Joomla, шаблоны и расширения к ней", создана пользователем Виталий, 22 мар 2016.

  1. Виталий

    Виталий Weblargo Команда форума

    Регистрация:
    10 окт 2014
    Сообщения:
    948
    Симпатии:
    367
    вот официальное пояснение от разработчиков, как правильно обновить cms:

    Update when you can´t use the Joomla! Update component
    If you can’t update your Joomla! Installation using the Joomla! Update component because of hosting limitations or connection issues then you will need to follow these steps:

    1. Method A
      1. Download the update package from https://www.joomla.org/download.html
      2. Copy the update package to the sites /tmp folder (note the path is set in the Joomla Global Configuration - make sure it's in the correct directory)

        (N.B. this method only works with the update package that the Joomla! Update component discovers. It will not work for other update packages or the Joomla full package. It also requires an internet connection to the Joomla Update XML file).
      3. The Joomla! Update component will use the update package from your /tmp folder.
    2. Method B

      (If you don't have the ability to unpack the archive on the server, please see Method C)
      1. Download the update package from https://www.joomla.org/download.html
      2. Copy the update package to the root directory of your site and unpack it. Note that you need to tell the system to replace any existing files. For example, in GoDaddy.com, use the FTP File Manager to upload the update file and then use "Unarchive" to unpack it. Check the box "Overwrite existing files".
      3. Log in to your Joomla! Administrator panel and go to Extensions Manage Database and select the Fix button on the top left.
      4. Go within the manage section to Discover menu item in the left menu and click the Discover button. Select only the Joomla! CORE extensions shown in the list and click the Install button. (Note: do not select for installation the 3rd party extensions you may have installed).
      5. In the main menu of your administrator panel, go to System Clear Cache and if any rows are shown, select them and click the Delete button at the top left.
    3. Method C

      If you don't have the ability to unpack the archive on the server (method B), please use this method:
      1. Download the update package from https://www.joomla.org/download.html
      2. Extract the download package on your computer
      3. Using your favorite FTP software, upload the folders and files at the root of the website or in the folder where your Joomla! installation is located. (NOTE: If you are using Filezilla, click on "Replace" for all, if you are using WinSCP, click on upload and then allow override for all. The FTP software will overwrite the existing files and add the new ones.)
      4. Log in to your Joomla! Administrator panel and go to Extensions Manage Database and select the Fix button on the top left.
      5. Go within the manage section to Discover menu item in the left menu and click the Discover button. Select only the Joomla! CORE extensions shown in the list and click the Install button. (Note: do not select for installation the 3rd party extensions you may have installed).
      6. In the main menu of your administrator panel, go to System Clear Cache and if any rows are shown, select them and click the Delete button at the top left.
    #21
  2. Виталий

    Виталий Weblargo Команда форума

    Регистрация:
    10 окт 2014
    Сообщения:
    948
    Симпатии:
    367
    попробовал сделать обновление согласно предоставленной инструкции, над свежеустановленным квикстартом произвел все действия, затык появился на языках, русский только скачивать, так как нас обделили на установку с админки а всякий въетнамский и папуаский там есть, но это пол беды, установка, проходит хорошо за исключением неправильного распознавание версии, и самое печальное в том что удалить его невозможно
    #22
  3. Виталий

    Виталий Weblargo Команда форума

    Регистрация:
    10 окт 2014
    Сообщения:
    948
    Симпатии:
    367
    Как только вышла версия 3.5.1 решил обновиться, и НЕ ПОЖАЛЕЛ! Сайт обновился идеально, работать стал действительно быстрее! Можно сказать, что дождались устойчивой версии! Всех с чем и поздравляю!
    #23
    Саня нравится это.
  4. Дэн

    Дэн Матерый складчик

    Регистрация:
    25 июн 2015
    Сообщения:
    270
    Симпатии:
    62
    Виталий, здравствуйте!
    У меня 2 вопроса:
    1. Скажите реально заметна скорость работы сайта на Joomla 3.5.1 на PHP 7 по сравнению с Joomla 3.4.(8)?
    2. Скажите как с расширениями? Надо ждать, чтобы разработчики их все обновили до поддержки PHP 7 и версии Joomla 3.5? Или они и так адекватно работают?)
    #24
  5. kirito

    kirito Матерый складчик

    Регистрация:
    8 ноя 2015
    Сообщения:
    247
    Симпатии:
    83
    А у меня вот такая ошибка вилазит когда хочу чтоби в Easydiscuss виводился аватар из другого расширения
    все это на чистой Joomla на которой установлени только Easyblog и Easydiscuss

    в Joomla мне сказали что это относится к Stackideas так что наверное Easydiscuss не оптимизирован под 3.5
    Последнее редактирование: 9 апр 2016
    #25
  6. yran30000

    yran30000 Опытный складчик

    Регистрация:
    16 апр 2015
    Сообщения:
    86
    Симпатии:
    13
    Я немного подожду обновляться. Вдруг какие "баги" всплывут. Сижу на версии 3.4.8 все проекты пока на этой версии.
    #26
  7. Виталий

    Виталий Weblargo Команда форума

    Регистрация:
    10 окт 2014
    Сообщения:
    948
    Симпатии:
    367
    версию php не менял остался на старенькой, и да же при этом сайт работает очень быстро, по поводу расширений ничего не могу сказать, так как это уже в индивидуальном порядке нужно смотреть, что будет работать а что нет, пока большинство расширений работает отлично
    #27
  8. Дэн

    Дэн Матерый складчик

    Регистрация:
    25 июн 2015
    Сообщения:
    270
    Симпатии:
    62
    Спасибо за ответ)
    Расширения работают отлично ибо вы не переключили PHP на версию 7) Считайте будет двойная работа, переобновлять и изменять настройки, файлы, стили и т.д все расширения под эту версию PHP)
    #28
  9. SvDG

    SvDG Cкладчик

    Регистрация:
    16 мар 2016
    Сообщения:
    4
    Симпатии:
    2
    Попробовал переехать на 3.5.1, часть расширений сбилось, либо криво отображаются элементы, либо возникает ошибки, вернулся на 3.4.8.
    Наверное надо всё-таки подождать пока выйдут обновления расширений под 3.5.1.
    #29
  10. NecroSoul

    NecroSoul Опытный складчик

    Регистрация:
    9 апр 2016
    Сообщения:
    71
    Симпатии:
    10
    Обновился и все норм) по крайней мере Jomsocial без проблем пашет, зря я раньше не хотел переходить на 3 версию)
    #30